Package be.fgov.ehealth.certra.core.v2

# Class OrganizationType

java.lang.Object
be.fgov.ehealth.certra.core.v2.OrganizationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class OrganizationType extends Object implements Serializable
Describes an organization. Organizations are uniquely identified by their identifier and have a name in at least one language.

Java class for OrganizationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:certra:core:v2}TextType"/>
             <element name="Identifier" type="{urn:be:fgov:ehealth:commons:core:v2}IdType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Id`
  `getIdentifier()`
  Gets the value of the identifier property.
  `TextType`
  `getName()`
  Gets the value of the name property.
  `void`
  `setIdentifier(Id value)`
  Sets the value of the identifier property.
  `void`
  `setName(TextType value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizationType

    public OrganizationType()

- ## Method Details

  - ### getName

    public TextType getName()
    Gets the value of the name property.
    Returns:
      possible object is `TextType`

  - ### setName

    public void setName(TextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getIdentifier

    public Id getIdentifier()
    Gets the value of the identifier property.
    Returns:
      possible object is `Id`

  - ### setIdentifier

    public void setIdentifier(Id value)
    Sets the value of the identifier property.
    Parameters:
      `value` - allowed object is `Id`